/*tp8 : getmat.c */
/*LG 2011 pour IMA 3*/
// Ici mettre vos noms et prénoms.

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define N 20

/*Fonctions de récupération de la grille sur l'entrée standard*/
char* monfgets()   // enleve le saut de ligne
{
  char input[N+2]; 
  fgets(input,N+2,stdin);
  char *resu = strndup(input,N+1);
  return resu;
}

void open_grid(char t[N][N])
{
  int i,j;
  char* oneline; // chaine
  for (i=0;i<=N-1;i++)
    {
      oneline=monfgets();
      //     printf("ligne %d : %s \n",i,oneline);
      for (j=0;j<=N-1;j++)
	{
	  t[i][j]=oneline[j];
	}
    }
  printf("opengrid : matrice initialisée\n");
}


/*imprime une matrice*/
void imprime_mat(char t[N][N])
{
  printf("imprime mat : pas ecrite !\n");
    // a completer
}


/*fonctions du TP 8 section 1 à écrire ici*/



/*Fonction principale*/
//après compilation, utiliser ./nombinaire <thegrid.txt
int main(){
  
  char t[N][N];
  open_grid(t);
  imprime_mat(t);
  /*remplir ici*/

  /*fin*/
  return 0;
}
